*** /Users/chet/src/bash/bash-5.2-patched/y.tab.c	2022-12-13 12:09:02.000000000 -0500
--- y.tab.c	2023-11-08 14:38:01.000000000 -0500
***************
*** 1459,1480 ****
  static const yytype_int8 yyr2[] =
  {
!        0,     2,     2,     1,     1,     2,     2,     1,     1,     2,
!        2,     2,     3,     3,     3,     3,     2,     3,     3,     2,
         3,     3,     2,     3,     3,     2,     3,     3,     2,     3,
         3,     2,     3,     3,     2,     3,     3,     2,     3,     3,
!        2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
!        3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
!        2,     1,     1,     2,     1,     1,     1,     1,     5,     5,
!        1,     1,     1,     1,     1,     1,     1,     6,     6,     7,
!        7,    10,    10,     9,     9,     7,     7,     5,     5,     6,
!        6,     7,     7,    10,    10,     9,     9,     6,     7,     6,
!        5,     6,     3,     5,     1,     2,     3,     3,     3,     2,
!        3,     3,     4,     2,     5,     7,     6,     3,     1,     3,
!        4,     6,     5,     1,     2,     4,     4,     5,     5,     2,
!        3,     2,     3,     2,     3,     1,     3,     2,     2,     3,
!        3,     3,     4,     4,     4,     4,     4,     1,     1,     1,
!        1,     1,     1,     0,     2,     1,     2,     2,     4,     4,
!        3,     3,     1,     1,     2,     2,     2,     2,     4,     4,
!        1,     1,     2,     2,     3
  };
  
--- 1459,1480 ----
  static const yytype_int8 yyr2[] =
  {
!        0,     2,     2,     1,     1,     2,     2,     2,     1,     1,
!        2,     2,     2,     3,     3,     3,     3,     2,     3,     3,
!        2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
         3,     3,     2,     3,     3,     2,     3,     3,     2,     3,
         3,     2,     3,     3,     2,     3,     3,     2,     3,     3,
!        2,     3,     3,     2,     2,     1,     1,     1,     1,     2,
!        1,     2,     1,     1,     2,     1,     1,     1,     1,     5,
!        5,     1,     1,     1,     1,     1,     1,     1,     6,     6,
!        7,     7,    10,    10,     9,     9,     7,     7,     5,     5,
!        6,     6,     7,     7,    10,    10,     9,     9,     6,     7,
!        6,     5,     6,     3,     5,     1,     2,     3,     3,     3,
!        2,     3,     3,     4,     2,     5,     7,     6,     3,     1,
!        3,     4,     6,     5,     1,     2,     4,     4,     5,     5,
!        2,     3,     2,     3,     2,     3,     1,     3,     2,     2,
!        3,     3,     3,     4,     4,     4,     4,     4,     1,     1,
!        1,     1,     1,     1,     0,     2,     1,     2,     2,     4,
!        4,     3,     3,     1,     1,     2,     2,     2,     2,     4,
!        4,     1,     1,     2,     2,     3
  };
  
***************
*** 2019,2025 ****
      break;
  
!   case 7: /* inputunit: yacc_EOF  */
  #line 456 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  /* Case of EOF seen by itself.  Do ignoreeof or
  			     not. */
--- 2019,2044 ----
      break;
  
!   case 7: /* inputunit: error $end  */
  #line 456 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
+ 			  global_command = (COMMAND *)NULL;
+ 			  if (last_command_exit_value == 0)
+ 			    last_command_exit_value = EX_BADUSAGE;	/* force error return */
+ 			  if (interactive && parse_and_execute_level == 0)
+ 			    {
+ 			      handle_eof_input_unit ();
+ 			      YYACCEPT;
+ 			    }
+ 			  else
+ 			    {
+ 			      YYABORT;
+ 			    }
+ 			}
+ #line 2038 "y.tab.c"
+     break;
+ 
+   case 8: /* inputunit: yacc_EOF  */
+ #line 471 "/usr/local/src/chet/src/bash/src/parse.y"
+                         {
  			  /* Case of EOF seen by itself.  Do ignoreeof or
  			     not. */
***************
*** 2028,2048 ****
  			  YYACCEPT;
  			}
! #line 2031 "y.tab.c"
      break;
  
!   case 8: /* word_list: WORD  */
! #line 466 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (WORD_LIST *)NULL); }
! #line 2037 "y.tab.c"
      break;
  
!   case 9: /* word_list: word_list WORD  */
! #line 468 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (yyvsp[-1].word_list)); }
! #line 2043 "y.tab.c"
      break;
  
!   case 10: /* redirection: '>' WORD  */
! #line 472 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2047,2067 ----
  			  YYACCEPT;
  			}
! #line 2050 "y.tab.c"
      break;
  
!   case 9: /* word_list: WORD  */
! #line 481 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (WORD_LIST *)NULL); }
! #line 2056 "y.tab.c"
      break;
  
!   case 10: /* word_list: word_list WORD  */
! #line 483 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (yyvsp[-1].word_list)); }
! #line 2062 "y.tab.c"
      break;
  
!   case 11: /* redirection: '>' WORD  */
! #line 487 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2050,2058 ****
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, 0);
  			}
! #line 2053 "y.tab.c"
      break;
  
!   case 11: /* redirection: '<' WORD  */
! #line 478 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2069,2077 ----
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, 0);
  			}
! #line 2072 "y.tab.c"
      break;
  
!   case 12: /* redirection: '<' WORD  */
! #line 493 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2060,2068 ****
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, 0);
  			}
! #line 2063 "y.tab.c"
      break;
  
!   case 12: /* redirection: NUMBER '>' WORD  */
! #line 484 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2079,2087 ----
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, 0);
  			}
! #line 2082 "y.tab.c"
      break;
  
!   case 13: /* redirection: NUMBER '>' WORD  */
! #line 499 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2070,2078 ****
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, 0);
  			}
! #line 2073 "y.tab.c"
      break;
  
!   case 13: /* redirection: NUMBER '<' WORD  */
! #line 490 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2089,2097 ----
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, 0);
  			}
! #line 2092 "y.tab.c"
      break;
  
!   case 14: /* redirection: NUMBER '<' WORD  */
! #line 505 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2080,2088 ****
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, 0);
  			}
! #line 2083 "y.tab.c"
      break;
  
!   case 14: /* redirection: REDIR_WORD '>' WORD  */
! #line 496 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2099,2107 ----
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, 0);
  			}
! #line 2102 "y.tab.c"
      break;
  
!   case 15: /* redirection: REDIR_WORD '>' WORD  */
! #line 511 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2090,2098 ****
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, REDIR_VARASSIGN);
  			}
! #line 2093 "y.tab.c"
      break;
  
!   case 15: /* redirection: REDIR_WORD '<' WORD  */
! #line 502 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2109,2117 ----
  			  (yyval.redirect) = make_redirection (source, r_output_direction, redir, REDIR_VARASSIGN);
  			}
! #line 2112 "y.tab.c"
      break;
  
!   case 16: /* redirection: REDIR_WORD '<' WORD  */
! #line 517 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2100,2108 ****
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, REDIR_VARASSIGN);
  			}
! #line 2103 "y.tab.c"
      break;
  
!   case 16: /* redirection: GREATER_GREATER WORD  */
! #line 508 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2119,2127 ----
  			  (yyval.redirect) = make_redirection (source, r_input_direction, redir, REDIR_VARASSIGN);
  			}
! #line 2122 "y.tab.c"
      break;
  
!   case 17: /* redirection: GREATER_GREATER WORD  */
! #line 523 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2110,2118 ****
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, 0);
  			}
! #line 2113 "y.tab.c"
      break;
  
!   case 17: /* redirection: NUMBER GREATER_GREATER WORD  */
! #line 514 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2129,2137 ----
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, 0);
  			}
! #line 2132 "y.tab.c"
      break;
  
!   case 18: /* redirection: NUMBER GREATER_GREATER WORD  */
! #line 529 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2120,2128 ****
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, 0);
  			}
! #line 2123 "y.tab.c"
      break;
  
!   case 18: /* redirection: REDIR_WORD GREATER_GREATER WORD  */
! #line 520 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2139,2147 ----
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, 0);
  			}
! #line 2142 "y.tab.c"
      break;
  
!   case 19: /* redirection: REDIR_WORD GREATER_GREATER WORD  */
! #line 535 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2130,2138 ****
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, REDIR_VARASSIGN);
  			}
! #line 2133 "y.tab.c"
      break;
  
!   case 19: /* redirection: GREATER_BAR WORD  */
! #line 526 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2149,2157 ----
  			  (yyval.redirect) = make_redirection (source, r_appending_to, redir, REDIR_VARASSIGN);
  			}
! #line 2152 "y.tab.c"
      break;
  
!   case 20: /* redirection: GREATER_BAR WORD  */
! #line 541 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2140,2148 ****
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, 0);
  			}
! #line 2143 "y.tab.c"
      break;
  
!   case 20: /* redirection: NUMBER GREATER_BAR WORD  */
! #line 532 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2159,2167 ----
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, 0);
  			}
! #line 2162 "y.tab.c"
      break;
  
!   case 21: /* redirection: NUMBER GREATER_BAR WORD  */
! #line 547 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2150,2158 ****
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, 0);
  			}
! #line 2153 "y.tab.c"
      break;
  
!   case 21: /* redirection: REDIR_WORD GREATER_BAR WORD  */
! #line 538 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2169,2177 ----
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, 0);
  			}
! #line 2172 "y.tab.c"
      break;
  
!   case 22: /* redirection: REDIR_WORD GREATER_BAR WORD  */
! #line 553 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2160,2168 ****
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, REDIR_VARASSIGN);
  			}
! #line 2163 "y.tab.c"
      break;
  
!   case 22: /* redirection: LESS_GREATER WORD  */
! #line 544 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2179,2187 ----
  			  (yyval.redirect) = make_redirection (source, r_output_force, redir, REDIR_VARASSIGN);
  			}
! #line 2182 "y.tab.c"
      break;
  
!   case 23: /* redirection: LESS_GREATER WORD  */
! #line 559 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2170,2178 ****
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, 0);
  			}
! #line 2173 "y.tab.c"
      break;
  
!   case 23: /* redirection: NUMBER LESS_GREATER WORD  */
! #line 550 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2189,2197 ----
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, 0);
  			}
! #line 2192 "y.tab.c"
      break;
  
!   case 24: /* redirection: NUMBER LESS_GREATER WORD  */
! #line 565 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2180,2188 ****
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, 0);
  			}
! #line 2183 "y.tab.c"
      break;
  
!   case 24: /* redirection: REDIR_WORD LESS_GREATER WORD  */
! #line 556 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2199,2207 ----
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, 0);
  			}
! #line 2202 "y.tab.c"
      break;
  
!   case 25: /* redirection: REDIR_WORD LESS_GREATER WORD  */
! #line 571 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2190,2198 ****
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, REDIR_VARASSIGN);
  			}
! #line 2193 "y.tab.c"
      break;
  
!   case 25: /* redirection: LESS_LESS WORD  */
! #line 562 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2209,2217 ----
  			  (yyval.redirect) = make_redirection (source, r_input_output, redir, REDIR_VARASSIGN);
  			}
! #line 2212 "y.tab.c"
      break;
  
!   case 26: /* redirection: LESS_LESS WORD  */
! #line 577 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2201,2209 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2204 "y.tab.c"
      break;
  
!   case 26: /* redirection: NUMBER LESS_LESS WORD  */
! #line 569 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2220,2228 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2223 "y.tab.c"
      break;
  
!   case 27: /* redirection: NUMBER LESS_LESS WORD  */
! #line 584 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2212,2220 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2215 "y.tab.c"
      break;
  
!   case 27: /* redirection: REDIR_WORD LESS_LESS WORD  */
! #line 576 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2231,2239 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2234 "y.tab.c"
      break;
  
!   case 28: /* redirection: REDIR_WORD LESS_LESS WORD  */
! #line 591 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2223,2231 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2226 "y.tab.c"
      break;
  
!   case 28: /* redirection: LESS_LESS_MINUS WORD  */
! #line 583 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2242,2250 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2245 "y.tab.c"
      break;
  
!   case 29: /* redirection: LESS_LESS_MINUS WORD  */
! #line 598 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2234,2242 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2237 "y.tab.c"
      break;
  
!   case 29: /* redirection: NUMBER LESS_LESS_MINUS WORD  */
! #line 590 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2253,2261 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2256 "y.tab.c"
      break;
  
!   case 30: /* redirection: NUMBER LESS_LESS_MINUS WORD  */
! #line 605 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2245,2253 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2248 "y.tab.c"
      break;
  
!   case 30: /* redirection: REDIR_WORD LESS_LESS_MINUS WORD  */
! #line 597 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2264,2272 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2267 "y.tab.c"
      break;
  
!   case 31: /* redirection: REDIR_WORD LESS_LESS_MINUS WORD  */
! #line 612 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2256,2264 ****
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2259 "y.tab.c"
      break;
  
!   case 31: /* redirection: LESS_LESS_LESS WORD  */
! #line 604 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2275,2283 ----
  			  push_heredoc ((yyval.redirect));
  			}
! #line 2278 "y.tab.c"
      break;
  
!   case 32: /* redirection: LESS_LESS_LESS WORD  */
! #line 619 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2266,2274 ****
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, 0);
  			}
! #line 2269 "y.tab.c"
      break;
  
!   case 32: /* redirection: NUMBER LESS_LESS_LESS WORD  */
! #line 610 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2285,2293 ----
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, 0);
  			}
! #line 2288 "y.tab.c"
      break;
  
!   case 33: /* redirection: NUMBER LESS_LESS_LESS WORD  */
! #line 625 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2276,2284 ****
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, 0);
  			}
! #line 2279 "y.tab.c"
      break;
  
!   case 33: /* redirection: REDIR_WORD LESS_LESS_LESS WORD  */
! #line 616 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2295,2303 ----
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, 0);
  			}
! #line 2298 "y.tab.c"
      break;
  
!   case 34: /* redirection: REDIR_WORD LESS_LESS_LESS WORD  */
! #line 631 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2286,2294 ****
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, REDIR_VARASSIGN);
  			}
! #line 2289 "y.tab.c"
      break;
  
!   case 34: /* redirection: LESS_AND NUMBER  */
! #line 622 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2305,2313 ----
  			  (yyval.redirect) = make_redirection (source, r_reading_string, redir, REDIR_VARASSIGN);
  			}
! #line 2308 "y.tab.c"
      break;
  
!   case 35: /* redirection: LESS_AND NUMBER  */
! #line 637 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2296,2304 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, 0);
  			}
! #line 2299 "y.tab.c"
      break;
  
!   case 35: /* redirection: NUMBER LESS_AND NUMBER  */
! #line 628 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2315,2323 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, 0);
  			}
! #line 2318 "y.tab.c"
      break;
  
!   case 36: /* redirection: NUMBER LESS_AND NUMBER  */
! #line 643 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2306,2314 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, 0);
  			}
! #line 2309 "y.tab.c"
      break;
  
!   case 36: /* redirection: REDIR_WORD LESS_AND NUMBER  */
! #line 634 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2325,2333 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, 0);
  			}
! #line 2328 "y.tab.c"
      break;
  
!   case 37: /* redirection: REDIR_WORD LESS_AND NUMBER  */
! #line 649 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2316,2324 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, REDIR_VARASSIGN);
  			}
! #line 2319 "y.tab.c"
      break;
  
!   case 37: /* redirection: GREATER_AND NUMBER  */
! #line 640 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2335,2343 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input, redir, REDIR_VARASSIGN);
  			}
! #line 2338 "y.tab.c"
      break;
  
!   case 38: /* redirection: GREATER_AND NUMBER  */
! #line 655 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2326,2334 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, 0);
  			}
! #line 2329 "y.tab.c"
      break;
  
!   case 38: /* redirection: NUMBER GREATER_AND NUMBER  */
! #line 646 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2345,2353 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, 0);
  			}
! #line 2348 "y.tab.c"
      break;
  
!   case 39: /* redirection: NUMBER GREATER_AND NUMBER  */
! #line 661 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2336,2344 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, 0);
  			}
! #line 2339 "y.tab.c"
      break;
  
!   case 39: /* redirection: REDIR_WORD GREATER_AND NUMBER  */
! #line 652 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2355,2363 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, 0);
  			}
! #line 2358 "y.tab.c"
      break;
  
!   case 40: /* redirection: REDIR_WORD GREATER_AND NUMBER  */
! #line 667 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2346,2354 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, REDIR_VARASSIGN);
  			}
! #line 2349 "y.tab.c"
      break;
  
!   case 40: /* redirection: LESS_AND WORD  */
! #line 658 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2365,2373 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output, redir, REDIR_VARASSIGN);
  			}
! #line 2368 "y.tab.c"
      break;
  
!   case 41: /* redirection: LESS_AND WORD  */
! #line 673 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2356,2364 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, 0);
  			}
! #line 2359 "y.tab.c"
      break;
  
!   case 41: /* redirection: NUMBER LESS_AND WORD  */
! #line 664 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2375,2383 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, 0);
  			}
! #line 2378 "y.tab.c"
      break;
  
!   case 42: /* redirection: NUMBER LESS_AND WORD  */
! #line 679 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2366,2374 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, 0);
  			}
! #line 2369 "y.tab.c"
      break;
  
!   case 42: /* redirection: REDIR_WORD LESS_AND WORD  */
! #line 670 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2385,2393 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, 0);
  			}
! #line 2388 "y.tab.c"
      break;
  
!   case 43: /* redirection: REDIR_WORD LESS_AND WORD  */
! #line 685 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2376,2384 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, REDIR_VARASSIGN);
  			}
! #line 2379 "y.tab.c"
      break;
  
!   case 43: /* redirection: GREATER_AND WORD  */
! #line 676 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2395,2403 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_input_word, redir, REDIR_VARASSIGN);
  			}
! #line 2398 "y.tab.c"
      break;
  
!   case 44: /* redirection: GREATER_AND WORD  */
! #line 691 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2386,2394 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, 0);
  			}
! #line 2389 "y.tab.c"
      break;
  
!   case 44: /* redirection: NUMBER GREATER_AND WORD  */
! #line 682 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2405,2413 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, 0);
  			}
! #line 2408 "y.tab.c"
      break;
  
!   case 45: /* redirection: NUMBER GREATER_AND WORD  */
! #line 697 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2396,2404 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, 0);
  			}
! #line 2399 "y.tab.c"
      break;
  
!   case 45: /* redirection: REDIR_WORD GREATER_AND WORD  */
! #line 688 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2415,2423 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, 0);
  			}
! #line 2418 "y.tab.c"
      break;
  
!   case 46: /* redirection: REDIR_WORD GREATER_AND WORD  */
! #line 703 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2406,2414 ****
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, REDIR_VARASSIGN);
  			}
! #line 2409 "y.tab.c"
      break;
  
!   case 46: /* redirection: GREATER_AND '-'  */
! #line 694 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
--- 2425,2433 ----
  			  (yyval.redirect) = make_redirection (source, r_duplicating_output_word, redir, REDIR_VARASSIGN);
  			}
! #line 2428 "y.tab.c"
      break;
  
!   case 47: /* redirection: GREATER_AND '-'  */
! #line 709 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 1;
***************
*** 2416,2424 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2419 "y.tab.c"
      break;
  
!   case 47: /* redirection: NUMBER GREATER_AND '-'  */
! #line 700 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2435,2443 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2438 "y.tab.c"
      break;
  
!   case 48: /* redirection: NUMBER GREATER_AND '-'  */
! #line 715 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
***************
*** 2426,2434 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2429 "y.tab.c"
      break;
  
!   case 48: /* redirection: REDIR_WORD GREATER_AND '-'  */
! #line 706 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
--- 2445,2453 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2448 "y.tab.c"
      break;
  
!   case 49: /* redirection: REDIR_WORD GREATER_AND '-'  */
! #line 721 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.filename = (yyvsp[-2].word);
***************
*** 2436,2444 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, REDIR_VARASSIGN);
  			}
! #line 2439 "y.tab.c"
      break;
  
!   case 49: /* redirection: LESS_AND '-'  */
! #line 712 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
--- 2455,2463 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, REDIR_VARASSIGN);
  			}
! #line 2458 "y.tab.c"
      break;
  
!   case 50: /* redirection: LESS_AND '-'  */
! #line 727 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = 0;
***************
*** 2446,2454 ****
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2449 "y.tab.c"
      break;
  
!   case 50: /* redirection: NUMBER LESS_AND '-'  */
! #line 718 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
--- 2465,2473 ----
  			  (yyval.redirect) = make_redirection (source, r_close_this, redir, 0);
  			}
! #line 2468 "y.tab.c"
      break;
  
!   case 51: /* redirection: NUMBER LESS_AND '-'  */
! #line 733 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  source.dest = (yyvsp[-2].number);
